## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class GetAllPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.GetAllPersistentMethod

All Implemented Interfaces:
  StaticMethodInvocation

    public class GetAllPersistentMethod

extends AbstractStaticPersistentMethod

The "getAll" static persistent method for Grails domain classes. This method takes a list of ids and returns the list of instances with provided ids in the same order. eg. Account.getAll(2,4,1) or Account.getAll([2,4,1]) When called without params this method returns list of all instances of the class.

Author:
  Sergey Nebolsin

Field Summary
`static String` `METHOD_SIGNATURE`

Constructor Summary
`GetAllPersistentMethod(GrailsApplication application, org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader)`

Method Summary
`protected Object` `doInvokeInternal(Class clazz, String methodName, Object[] arguments)`

Methods inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
`getHibernateTemplate, invoke`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
`getPattern, isMethodMatch, setPattern, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### METHOD_SIGNATURE

    public static final String METHOD_SIGNATURE

See Also:
  Constant Field Values

Constructor Detail

### GetAllPersistentMethod

    public GetAllPersistentMethod(GrailsApplication application,
                                  org.hibernate.SessionFactory sessionFactory,
                                  ClassLoader classLoader)

Method Detail

### doInvokeInternal

    protected Object doInvokeInternal(Class clazz,
                                      String methodName,
                                      Object[] arguments)

  Specified by:
    `doInvokeInternal` in class `AbstractStaticPersistentMethod`

Copyright (c) 2005-2006 The Grails project